Public Member Functions | Data Fields | Static Public Attributes

# QueryString Struct Reference

Data stored about a string that can be modified in the GUI. More...

`#include <querystring_gui.h>`

## Public Member Functions
| QueryString (uint16 size, uint16 chars=UINT16_MAX)
| Initialize string.
| ~QueryString ()
| Make sure everything gets freed.
void | DrawEditBox (const Window *w, int wid) const
void | ClickEditBox (Window *w, Point pt, int wid, int click_count, bool focus_changed)
void | HandleEditBox (Window *w, int wid)
HandleEditBoxResult | HandleEditBoxKey (Window *w, int wid, uint16 key, uint16 keycode, EventState &state)
## Data Fields
StringID | caption
int | ok_button
| Widget button of parent window to simulate when pressing OK in OSK.
int | cancel_button
| Widget button of parent window to simulate when pressing CANCEL in OSK.
Textbuf | text
const char * | orig
CharSetFilter | afilter
bool | handled
## Static Public Attributes
static const int | ACTION_NOTHING = -1
| Nothing.
static const int | ACTION_DESELECT = -2
| Deselect editbox.
static const int | ACTION_CLEAR = -3
| Clear editbox.

## Detailed Description

Data stored about a string that can be modified in the GUI.

Definition at line 34 of file querystring_gui.h.

## Constructor & Destructor Documentation

QueryString::QueryString | ( | uint16 | size,
|  | uint16 | chars = `UINT16_MAX` |
| ) |  |  | `[inline]`

Initialize string.

Parameters:

  | size | Maximum size in bytes.
  | chars | Maximum size in chars.

Definition at line 53 of file querystring_gui.h.

The documentation for this struct was generated from the following files:

- src/querystring_gui.h
- src/misc_gui.cpp